(<<PCI Check Utility>> Help Index)

PCICheck Utility Help Topics

This utility permits the user to see the PCI devices on the current system and to import another system PCI configuration for referral.

The main dialog is splitted in two panes. The left pane contains a list of PCI devices organized in a tree. The right pane displays the configuration space of the selected PCI device (as indicated by a green checkmark in the tree). By double clicking on a DWORD of the configuration space data, you can modify it. The modification is done on the full 32 bits. After the modification is done, the utility will read back the data to reflect the change. This is done because the utility doesn't know which bits are read-only.

Command-Line options are available for user that want to include functionnality to a script or another utility or to modify the behaviour.

The buttons are explained by following this link.


(<<YourApp>> Help Index)

PCICheck command-line description

This utility has various command-line options used mainly for automation from within another program or script.

Options | Description
file | Indicates a file name were we output the PCI data in human readable form. The GUI portion will not be displayed.
fetch | Indicates how much of the configuration space we will read. See more information below.
export | Will export PCI data to a file so we can import it from the utility. The GUI portion will not be displayed.
import | Will import a previously exported PCI data file.
nodetail | Will not output the PCI device details in the output file.
nocheck | Will not output the memory check and interrupt sharing information in the output file.
debugmode | Will output data pertaining to the utility inner working. This is used to verify that the utility is working.
noembed | The utility will not use it's embedded driver. MtxServManager must be installed for the utility to work.

Note:

the file option can be ommited to obtain the same result. So, the following two command-line are equal:

- pcicheck file output.txt

- pcicheck output.txt

Fetch Mode | Description
none | Will not fetch the configuration space of the devices.
small | Will fetch only the standard header of the PCI devices.
full | Will fetch the full 256 bytes of configuration space data for each device.

Note:

the default behaviour of the utility is small for all the devices except for two case where it will be full:

- the Vendor ID of the PCI device is Matrox

- the capabilities pointer is not 0


PCICheck Dialog Buttons

The dialog window of PCICheck contains, at the bottom, buttons to access the main functionnality.

Please click on the desired link to have more information:

Export As Text

Export

Import

Check Errors

Exit

Help

Refresh Tree

Details

Refresh Config Data


PCICheck Export As Text button description

This button is used to send to a user-selected text file the entire PCI configuration in a human readable format.


PCICheck Export button description

This button is used to send to a user-selected text file the entire PCI configuration in a machine readable format that will be used by the import function.


PCICheck Import button description

This button is used import PCI configuration data from a previous export. With this feature, a user can look, on his system, a PCI configuration from another system.

Please note that the Refresh Tree, Refresh Config Data and the ability to modify the configuration space are disabled when the import is successful.


PCICheck Check Errors button description

This button will invoke a dialog box containing the interrupt sharing of all the PCI devices and any mapping errors between devices. The mapping errors can be two devices with overlapping address or a device address that is not contained by it's PCI bridge memory range.

The dialog box has two button:

Close: to close this dialog

Export: to send the data to a user-selected text file


PCICheck Exit button description

This button is used to exit the application.


PCICheck Help button description

The Help button will bring up this help window.


PCICheck Refresh Tree button description

This button will clear all the PCI data from the program and perform a new PCI scan.

This button is not available when we have imported a PCI configuration.


PCICheck Details button description

This button is used to display the configuration space of the currently selected device in a human readable format. By clicking this button, a new dialog will open that contains the text. By clicking the Close button, the user will be returned to the main application dialog. By clicking on the Export button, the text will be saved to a user selected text file.